# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::CursorInterface Class Reference

This is an interface for accessing the cursor of the Document class. More...

`#include <cursorinterface.h>`

List of all members.

## Public Member Functions

unsigned int | cursorInterfaceNumber () const
virtual Cursor * | createCursor ()=0
virtual QPtrList< Cursor > | cursors () const =0

## Protected Member Functions

void | setCursorInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateCursorInterface

## Detailed Description

This is an interface for accessing the cursor of the Document class.

Definition at line 50 of file cursorinterface.h.

## Member Function Documentation

virtual Cursor* KTextEditor::CursorInterface::createCursor | ( |  | ) | `[pure virtual]`

| Create a new cursor object.

The documentation for this class was generated from the following files:

- cursorinterface.h
- cursorinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003